<?xml version="1.0" encoding="UTF-8"?>
<Configuration>
    <Appenders>
        <Console name="Console" target="SYSTEM_OUT">
            <PatternLayout
                    pattern="[%style{%d{yyyy-MM-dd HH:mm:ss.SSS}}{white}] %highlight{%-5level }[%c{1.}] [%L]: %msg%n%throwable" />
        </Console>
        <RollingFile name="RollingFile" fileName="./logs/Trackhandler-log4j2.log"
                     filePattern="./logs/$${date:yyyy-MM}/Trackhandler-log4j2_%d{dd-MMMM-yyyy}-%i.log.gz">
            <PatternLayout>
                <pattern>%d %p %C{1.} [%t] %m%n</pattern>
            </PatternLayout>
            <Policies> <!-- rollover on startup, daily and when the file reaches 10 MegaBytes -->
                <OnStartupTriggeringPolicy />
                <SizeBasedTriggeringPolicy size="10 MB" />
                <TimeBasedTriggeringPolicy />
            </Policies>
        </RollingFile>
    </Appenders>
    <Loggers>
        <!-- LOG everything at ERROR level -->
        <Root level="error">
            <AppenderRef ref="Console" />
            <AppenderRef ref="RollingFile" />
        </Root>
        <!-- LOG "engineer.fernando.*" at DEBUG level -->
        <Logger name="engineer.fernando" level="debug"></Logger>
        <Logger name="org.springframework." level="info"></Logger>
        <Logger name="org.springframework.amqp" level="info"></Logger>
    </Loggers>

</Configuration>